when:
  - event: push
    branch: main

depends_on:
  #- test
  #- playwright

steps:
  - name: terraform
    image: hashicorp/terraform:latest
    environment:
       AWS_ACCESS_KEY_ID:
         from_secret: aws_access_key_id
       AWS_SECRET_ACCESS_KEY:
         from_secret: aws_secret_access_key
    commands:
      - terraform init
      - terraform plan
